You may need to change your Payment processing integration on Magento

August 19, 2019



This is a straight copy - paste from Magento’s email. They do a great job keeping users up to date with this sort of announcement, so, we want to help get the word out.

Regulatory Technical Standards (RTS) for the European Union’s Payment Services Directive (PSD2) are scheduled to go into effect on 14 September, 2019.

Please take note of impacts to payment extensions designed for Magento products.

The European Union’s revised Payment Services Directive (PSD), known as version PSD2, has RTS requirements that go into effect as early as 14 September, 2019. This new directive has a significant compliance impact on most payment processing services involving credit cards or bank transfers for goods & services sold to customers in the EU.Compliance with PSD2 is the responsibility of every Merchant to whom the directive applies and Magento recommends that all Merchants take the time to review and understand the new directive; including Strong Customer Authentication (SCA) requirements and updates for 3D Secure 2.0 (3DS).

To ensure that customer payments will not be declined as a result of the start of PSD2, Magento is introducing the following changes and recommendations only for payment integrations that are native to Magento.

Payment Provider Magento Commerce 2.X Recommendation Magento Commerce 1.X Recommendation
PayPal Continue using the current Magento built-in integration, as the3DSecure2.0payment flow changes are all handled by PayPal. 3DS 1.0 is supported. When and/or where use of 3DS 2.0 is required, Merchants will either need to replace PayPal with Braintree or upgrade to Magento 2.3.x.
Braintree Use the official extension (recommended)that will offer 3D Secure 2.0 prior to the deadlineor usethe Magento integration in upcoming version 2.3.3+ or 2.2.10+ Braintree integration supports 3D Secure verification out-of-the-box. Starting with the Magento 2.3.3 release,Braintree integrationwill support3DSecure2.0.
Authorize.net Usetheofficial extension(recommended)or theMagento integration inupcomingversion 2.3.3+or 2.2.10+with a 3DSecureproviderlike CardinalCommerce. Authorize.net provides the ability, via the Cardholder Authentication request field, to make 3D Secure verification via 3rd party services like CardinalCommerce. Starting with the Magento 2.3.3 release,Authorize.net’s integrationwill support 3DS 2.0via CardinalCommerce. Please check ourDevblog page for updates on official Authorize.net extensions for M1 as they become available.
CyberSource Use the official extension.Cybersource introduced Payer Authentication API with 3D Secure 2.0 support for Secure Acceptance Hosted Checkout and Simple Order API. Also, the integration with CardinalCommerce can be used for 3DS verification. Use theofficial extension.
eWay Use theofficial extension. Use theofficial extension.

For all other payment integrations, check with your payment provider for their recommendations on supporting PSD2’s SCA requirements. You can also find available Payment Integration extensions at the Magento Marketplace.

Please note that as part of these changes, future versions of Magento will deprecate and remove the following core integrations in favor of official payment integrations available on the Magento Marketplace: CyberSource, Authorize.net, eWay, Worldpay.

comments powered by Disqus
Subscribe to our newsletter for regular community updates, case studies, and more.